// Playground - noun: a place where people can play

import UIKit

var countries = ["USA":"Stany Zjednoczone","IN":"Indie","UK":"Zjednoczone Królestwo"];
var name = countries["US"]
var cnt = countries.count  // Zmienna cnt zawiera wartość 3.
var empty = countries.isEmpty // Wartością zmiennej empty jest false.

countries["UK"] = "Wielka Brytania"
var orig = countries.updateValue("Brytania", forKey: "UK")


print(countries["UK"])

countries["FR"] = "Francja" // Wartością klucza "FR" jest "Francja".

var orig1 = countries.updateValue("Niemcy", forKey: "DE")
// Wartością klucza "DE" jest słowo "Niemcy", natomiast wartością zmiennej orig1 jest nil.

countries["IN"] = nil // Klucz "IN" wraz z wartością został usunięty.

var orig2 = countries.removeValue(forKey: "UK")
// Klucz "UK" wraz z wartością został usunięty, zmienna orig2 ma wartość "Brytania".

countries.removeAll() // Usunięcie ze słownika wszystkich par klucz-wartość.
